Index: src/backend/access/nbtree/nbtsort.c
===================================================================
RCS file: /Users/neilc/local/cvs/pgsql-server/src/backend/access/nbtree/nbtsort.c,v
retrieving revision 1.88
diff -c -r1.88 nbtsort.c
*** src/backend/access/nbtree/nbtsort.c	29 Aug 2004 05:06:40 -0000	1.88
--- src/backend/access/nbtree/nbtsort.c	25 Sep 2004 10:50:27 -0000
***************
*** 185,191 ****
  _bt_spooldestroy(BTSpool *btspool)
  {
  	tuplesort_end(btspool->sortstate);
! 	pfree((void *) btspool);
  }
  
  /*
--- 185,191 ----
  _bt_spooldestroy(BTSpool *btspool)
  {
  	tuplesort_end(btspool->sortstate);
! 	pfree(btspool);
  }
  
  /*
***************
*** 551,557 ****
  		ItemPointerSet(&(state->btps_minkey->bti_itup.t_tid),
  					   oblkno, P_HIKEY);
  		_bt_buildadd(wstate, state->btps_next, state->btps_minkey);
! 		pfree((void *) state->btps_minkey);
  
  		/*
  		 * Save a copy of the minimum key for the new page.  We have to
--- 551,557 ----
  		ItemPointerSet(&(state->btps_minkey->bti_itup.t_tid),
  					   oblkno, P_HIKEY);
  		_bt_buildadd(wstate, state->btps_next, state->btps_minkey);
! 		pfree(state->btps_minkey);
  
  		/*
  		 * Save a copy of the minimum key for the new page.  We have to
***************
*** 649,655 ****
  			ItemPointerSet(&(s->btps_minkey->bti_itup.t_tid),
  						   blkno, P_HIKEY);
  			_bt_buildadd(wstate, s->btps_next, s->btps_minkey);
! 			pfree((void *) s->btps_minkey);
  			s->btps_minkey = NULL;
  		}
  
--- 649,655 ----
  			ItemPointerSet(&(s->btps_minkey->bti_itup.t_tid),
  						   blkno, P_HIKEY);
  			_bt_buildadd(wstate, s->btps_next, s->btps_minkey);
! 			pfree(s->btps_minkey);
  			s->btps_minkey = NULL;
  		}
  
***************
*** 767,773 ****
  			{
  				_bt_buildadd(wstate, state, bti);
  				if (should_free)
! 					pfree((void *) bti);
  				bti = (BTItem) tuplesort_getindextuple(btspool->sortstate,
  													 true, &should_free);
  			}
--- 767,773 ----
  			{
  				_bt_buildadd(wstate, state, bti);
  				if (should_free)
! 					pfree(bti);
  				bti = (BTItem) tuplesort_getindextuple(btspool->sortstate,
  													 true, &should_free);
  			}
***************
*** 775,781 ****
  			{
  				_bt_buildadd(wstate, state, bti2);
  				if (should_free2)
! 					pfree((void *) bti2);
  				bti2 = (BTItem) tuplesort_getindextuple(btspool2->sortstate,
  													true, &should_free2);
  			}
--- 775,781 ----
  			{
  				_bt_buildadd(wstate, state, bti2);
  				if (should_free2)
! 					pfree(bti2);
  				bti2 = (BTItem) tuplesort_getindextuple(btspool2->sortstate,
  													true, &should_free2);
  			}
***************
*** 794,800 ****
  
  			_bt_buildadd(wstate, state, bti);
  			if (should_free)
! 				pfree((void *) bti);
  		}
  	}
  
--- 794,800 ----
  
  			_bt_buildadd(wstate, state, bti);
  			if (should_free)
! 				pfree(bti);
  		}
  	}
  
Index: src/backend/commands/user.c
===================================================================
RCS file: /Users/neilc/local/cvs/pgsql-server/src/backend/commands/user.c,v
retrieving revision 1.145
diff -c -r1.145 user.c
*** src/backend/commands/user.c	16 Sep 2004 16:58:28 -0000	1.145
--- src/backend/commands/user.c	25 Sep 2004 10:47:32 -0000
***************
*** 282,289 ****
  				 errmsg("could not rename file \"%s\" to \"%s\": %m",
  						tempname, filename)));
  
! 	pfree((void *) tempname);
! 	pfree((void *) filename);
  }
  
  
--- 282,289 ----
  				 errmsg("could not rename file \"%s\" to \"%s\": %m",
  						tempname, filename)));
  
! 	pfree(tempname);
! 	pfree(filename);
  }
  
  
***************
*** 412,419 ****
  				 errmsg("could not rename file \"%s\" to \"%s\": %m",
  						tempname, filename)));
  
! 	pfree((void *) tempname);
! 	pfree((void *) filename);
  }
  
  
--- 412,419 ----
  				 errmsg("could not rename file \"%s\" to \"%s\": %m",
  						tempname, filename)));
  
! 	pfree(tempname);
! 	pfree(filename);
  }
  
  
